Summary:	Client library for accessing NFS shares over network
Summary(pl.UTF-8):	Biblioteka kliencka do dostępu do udziałów NFS poprzez sieć
Name:		libnfs
Version:	1.9.8
Release:	1
License:	LGPL v2.1+ and BSD
Group:		Libraries
Source0:	https://sites.google.com/site/libnfstarballs/li/%{name}-%{version}.tar.gz
# Source0-md5:	8d6c4fc63bd313cf6dc4387b45a0ed41
URL:		https://github.com/sahlberg/libnfs
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client library for accessing NFS shares over network.

%description -l pl.UTF-8
Biblioteka kliencka do dostępu do udziałów NFS poprzez sieć.

%package devel
Summary:	Header files for libnfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnfs
License:	LGPL v2.1+ and BSD and GPL v3+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and examples for libnfs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz przykłady dla biblioteki libnfs.

%package static
Summary:	Static libnfs library
Summary(pl.UTF-8):	Statyczna biblioteka libnfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnfs library.

%description static -l pl.UTF-8
Statyczna biblioteka libnfs.

%package utils
Summary:	Utils for accessing NFS servers
License:	GPL v3+
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description utils
Simple client programs for accessing NFS servers using libnfs.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnfs.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libnfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnfs.so.8

%files devel
%defattr(644,root,root,755)
%doc examples/*.c
%attr(755,root,root) %{_libdir}/libnfs.so
%{_includedir}/nfsc
%{_pkgconfigdir}/libnfs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnfs.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nfs-cat
%attr(755,root,root) %{_bindir}/nfs-cp
%attr(755,root,root) %{_bindir}/nfs-ls
%{_mandir}/man1/nfs-cat.1*
%{_mandir}/man1/nfs-cp.1*
%{_mandir}/man1/nfs-ls.1*
%changelog
* Sun Aug 23 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnfs.git;a=log;h=master

* Sun Aug 23 2015 Łukasz Kieś <kiesiu@pld-linux.org> 4980f12
- updated to 1.9.8
- move binaries to *-utils package, include exmaples
- use correct licenses

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> aa1f0ce
- x32 rebuild
- release 2 (by relup.sh)

* Sat Feb 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 2141559
- updated to 1.9.7 (note: new soname)

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 61f724c
- updated to 1.9.6

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 1fe6885
- updated to 1.9.5

* Tue Jul 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 3a2aca5
- updated to 1.9.4

* Tue May 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 4505dee
- new

